Get transfer intent
curl --request GET \
--url https://api.onstacks.io/v1/transfer-intents/{transferIntentId} \
--header 'Authorization: Bearer <token>'{
"data": {
"transfer_intent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_transfer_activity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlement_status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source_network": "<string>",
"source_asset": "<string>",
"source_amount_base_units": "<string>",
"source_address": "<string>",
"destination_address": "<string>",
"execution_provider": "<string>",
"provider_reference": "<string>",
"wallet_tx_hash": "<string>",
"failure_reason": "<string>",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approved_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_at": "2023-11-07T05:31:56Z"
},
"transfer": {
"activity": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"status": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"network_code": "<string>",
"asset_symbol": "<string>",
"amount_base_units": "<string>",
"from_address": "<string>",
"to_address": "<string>",
"tx_hash": "<string>",
"tx_error": "<string>",
"blockops_withdrawal_id": "<string>",
"blockops_status": "<string>",
"provider_released_by_email": "<string>",
"provider_released_at": "<string>"
},
"approval_state": "<string>",
"blockops_withdrawal_id": "<string>",
"blockops_status": "<string>",
"provider_failure_reason": "<string>",
"provider_released_by_email": "<string>",
"provider_released_at": "2023-11-07T05:31:56Z",
"requested_by_email": "<string>",
"approved_by_email": "<string>",
"approved_at": "2023-11-07T05:31:56Z",
"rejected_by_email": "<string>",
"rejected_at": "2023-11-07T05:31:56Z",
"canceled_by_email": "<string>",
"canceled_at": "2023-11-07T05:31:56Z"
}
},
"error": null,
"request_id": "<string>"
}Transfer API
Get transfer intent
Read-only beta surface over the real wallet transfer lifecycle. The detail includes the normalized transfer intent plus the underlying wallet transfer detail when available.
GET
https://api.onstacks.io
/
v1
/
transfer-intents
/
{transferIntentId}
Get transfer intent
curl --request GET \
--url https://api.onstacks.io/v1/transfer-intents/{transferIntentId} \
--header 'Authorization: Bearer <token>'{
"data": {
"transfer_intent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_transfer_activity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlement_status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source_network": "<string>",
"source_asset": "<string>",
"source_amount_base_units": "<string>",
"source_address": "<string>",
"destination_address": "<string>",
"execution_provider": "<string>",
"provider_reference": "<string>",
"wallet_tx_hash": "<string>",
"failure_reason": "<string>",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approved_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_at": "2023-11-07T05:31:56Z"
},
"transfer": {
"activity": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"status": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"network_code": "<string>",
"asset_symbol": "<string>",
"amount_base_units": "<string>",
"from_address": "<string>",
"to_address": "<string>",
"tx_hash": "<string>",
"tx_error": "<string>",
"blockops_withdrawal_id": "<string>",
"blockops_status": "<string>",
"provider_released_by_email": "<string>",
"provider_released_at": "<string>"
},
"approval_state": "<string>",
"blockops_withdrawal_id": "<string>",
"blockops_status": "<string>",
"provider_failure_reason": "<string>",
"provider_released_by_email": "<string>",
"provider_released_at": "2023-11-07T05:31:56Z",
"requested_by_email": "<string>",
"approved_by_email": "<string>",
"approved_at": "2023-11-07T05:31:56Z",
"rejected_by_email": "<string>",
"rejected_at": "2023-11-07T05:31:56Z",
"canceled_by_email": "<string>",
"canceled_at": "2023-11-07T05:31:56Z"
}
},
"error": null,
"request_id": "<string>"
}Authorizations
Workspace API key. Send it as Authorization: Bearer <api_key>.
Path Parameters
Query Parameters
Environment scope for environment-partitioned resources. Defaults to sandbox when omitted.
Available options:
sandbox, live ⌘I
